/*
 * This file is part of WebLookAndFeel library.
 *
 * WebLookAndFeel library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WebLookAndFeel library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.colorchooser;

import com.alee.examples.content.DefaultExampleGroup;
import com.alee.examples.content.Example;
import com.alee.examples.content.FeatureState;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 16.02.12 Time: 18:17
 */

public class ColorChoosersGroup extends DefaultExampleGroup
{
    public Icon getGroupIcon ()
    {
        return loadGroupIcon ( "colorchooser.png" );
    }

    public String getGroupName ()
    {
        return "Color choosers";
    }

    public String getGroupDescription ()
    {
        return "Various examples of color choosers usage";
    }

    public FeatureState getFeatureGroupState ()
    {
        return FeatureState.beta;
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new ColorChooserDialogExample () );
        examples.add ( new ColorChooserPanelExample () );
        examples.add ( new ColorChooserFieldExample () );
        examples.add ( new GradientColorChooserExample () );
        return examples;
    }

    public double getContentPartSize ()
    {
        return 0.7f;
    }
}