package com.alee.extended.painter;

/**
 * This enumeration contains list of exising predefined textures for TexturePainter class.
 *
 * @author Mikle Garin
 * @since 1.4
 */

public enum TextureType
{
    /**
     * Empty texture.
     */
    none,

    /**
     * Linen cloth texture.
     */
    linen,

    /**
     * Dark linen cloth texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Jordan Pittman.
     */
    darkLinen,

    /**
     * Graphy texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by We Are Pixel8: http://www.wearepixel8.com/
     */
    graphy,

    /**
     * Illusion texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Mohawk Studios: http://mohawkstudios.com/
     */
    illusion,

    /**
     * Escheresque texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Ste Patten.
     */
    escheresque,

    /**
     * Wild oliva texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Badhon Ebrahim: http://dribbble.com/graphcoder
     */
    wildOliva,

    /**
     * Dark maze texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Peax: http://www.peax-webdesign.com/
     */
    darkMaze,

    /**
     * Light maze texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Peax: http://www.peax-webdesign.com/
     */
    lightMaze,

    /**
     * Washed wall texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Sagive SEO: http://www.sagive.co.il/
     */
    washedWall,

    /**
     * Alpha layer texture.
     * Pattern source: http://subtlepatterns.com/
     * Made by Gluszczenko: http://www.gluszczenko.com/
     */
    alpha
}