/*
 * This file is part of WebLookAndFeel library.
 *
 * WebLookAndFeel library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WebLookAndFeel library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.managers.settings;

/**
 * This interface notifies that any implementing class is going to provide public static getDefaultValue method that will give you the
 * default class instance when called. This method is used by SettingsManager when settings "get" methods called without default value.
 *
 * @author Mikle Garin
 * @since 1.4
 */

public interface DefaultValue
{
    /**
     * Define similar method in implementing class to provide its default value for other classes usage.
     */
    // public static T getDefaultValue ();
}